-- 基础信息
base_info = {
	group_id = 246203001
}

-- Trigger变量
defs = {
	center_point = 1007,
	Portal_Eff = 1010,
	Portal_Trigger = 1009,
	Streaming_Gadget = 1012,
	Region = 1011,
	air_wall = 1013,
	clock = 1020,
	pointer = 1021,
	pointarray = 1
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 1009, gadget_id = 70800172, pos = { x = 360.525, y = 200.434, z = 725.458 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 1010, gadget_id = 70800140, pos = { x = 359.853, y = 200.497, z = 725.531 }, rot = { x = 0.000, y = 269.511, z = 0.000 }, level = 1 },
	{ config_id = 1012, gadget_id = 70800138, pos = { x = 336.198, y = 200.000, z = 728.314 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 1013, gadget_id = 70800195, pos = { x = 332.462, y = 199.981, z = 730.231 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 1020, gadget_id = 70800163, pos = { x = 555.300, y = 279.000, z = 757.500 }, rot = { x = 0.000, y = 269.100, z = 0.000 }, level = 1 },
	{ config_id = 1021, gadget_id = 70800164, pos = { x = 538.467, y = 279.000, z = 757.500 }, rot = { x = 0.000, y = 269.100, z = 231.725 }, level = 1, is_use_point_array = true }
}

-- 区域
regions = {
	{ config_id = 1011, shape = RegionShape.SPHERE, radius = 100, pos = { x = 334.286, y = 199.985, z = 723.218 } }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 1001, pos = { x = 331.893, y = 200.105, z = 730.230 }, rot = { x = 0.000, y = 270.519, z = 0.000 }, tag = 2 },
	{ config_id = 1002, pos = { x = 331.975, y = 200.134, z = 725.223 }, rot = { x = 0.000, y = 270.519, z = 0.000 }, tag = 2 },
	{ config_id = 1003, pos = { x = 331.936, y = 200.148, z = 735.331 }, rot = { x = 0.000, y = 270.519, z = 0.000 }, tag = 2 },
	{ config_id = 1004, pos = { x = 322.985, y = 200.030, z = 730.328 }, rot = { x = 0.000, y = 90.386, z = 0.000 }, tag = 2 },
	{ config_id = 1005, pos = { x = 323.183, y = 200.137, z = 735.332 }, rot = { x = 0.000, y = 90.386, z = 0.000 }, tag = 2 },
	{ config_id = 1006, pos = { x = 322.657, y = 200.146, z = 725.237 }, rot = { x = 0.000, y = 90.386, z = 0.000 }, tag = 2 },
	{ config_id = 1007, pos = { x = 327.363, y = 199.981, z = 730.231 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 1008, pos = { x = 323.046, y = 199.981, z = 730.231 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 1014, pos = { x = 341.469, y = 200.105, z = 730.230 }, rot = { x = 0.000, y = 270.519, z = 0.000 }, tag = 2 },
	{ config_id = 1015, pos = { x = 341.551, y = 200.134, z = 725.223 }, rot = { x = 0.000, y = 270.519, z = 0.000 }, tag = 2 },
	{ config_id = 1016, pos = { x = 341.512, y = 200.148, z = 735.331 }, rot = { x = 0.000, y = 270.519, z = 0.000 }, tag = 2 },
	{ config_id = 1017, pos = { x = 320.195, y = 200.030, z = 730.328 }, rot = { x = 0.000, y = 90.386, z = 0.000 }, tag = 2 },
	{ config_id = 1018, pos = { x = 320.394, y = 200.137, z = 735.332 }, rot = { x = 0.000, y = 90.386, z = 0.000 }, tag = 2 },
	{ config_id = 1019, pos = { x = 319.868, y = 200.146, z = 725.237 }, rot = { x = 0.000, y = 90.386, z = 0.000 }, tag = 2 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 1010 },
		regions = { 1011 },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_7/Rogue_Cell"
require "V2_7/Rogue_Terrain_3"
